LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XConversionPropertyType Interface Referencepublished

allows set and retrieve the property type of an entry in a conversion dictionary More...

`import"XConversionPropertyType.idl";`

Inheritance diagram for XConversionPropertyType:

## Public Member Functions
void | setPropertyType ([in] string aLeftText, [in] string aRightText, [in] short nPropertyType) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| sets the property type for the specified entry. More...
short | getPropertyType ([in] string aLeftText, [in] string aRightText) raises ( com::sun::star::container::NoSuchElementException )
| returns the property type for the specified entry. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows set and retrieve the property type of an entry in a conversion dictionary

The property type must be one of com::sun::star::linguistic2::ConversionPropertyType

See also
  com::sun::star::linguistic2::XConversionDictionary
  com::sun::star::linguistic2::ConversionPropertyType

Since
  OOo 2.0

## Member Function Documentation

## ◆ getPropertyType()

short getPropertyType | ( | [in] string | aLeftText,
|  | [in] string | aRightText
| ) |  |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

returns the property type for the specified entry.

The conversion entry is specified by the pair ( aLeftText, aRightText ).

Parameters

  aLeftText | the left text of the dictionary entry.
  aRightText | the right text of the dictionary entry.

Returns
  returns the property type for the entry with the specified left text.

## ◆ setPropertyType()

void setPropertyType | ( | [in] string | aLeftText,
|  | [in] string | aRightText,
|  | [in] short | nPropertyType
| ) |  |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

sets the property type for the specified entry.

The conversion entry is specified by the pair ( aLeftText, aRightText ).

Parameters

  aLeftText | the left text of the dictionary entry.
  aRightText | the right text of the dictionary entry.
  nPropertyType | the property type to be set for the entry

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XConversionPropertyType.idl